rem Measure the time
echo Starting and ending times:>excl\time.txt
echo.|time >> excl\time.txt

rem Give plots on the data set
oxl plotdaty

rem Choose the length of the samples, short or long
copy decl\sample\mhshort.dec mhsamp.dec
copy decl\sample\gibshort.dec gibsamp.dec
rem copy decl\sample\mhlong.dec mhsamp.dec
rem copy decl\sample\giblong.dec gibsamp.dec

rem Work on the WN model; MH sample, marginal likelihood through kernel
rem and Gibbs models, and calculating predictive density
copy decl\mamhdu.dec simox.dec
oxl mhflex6
oxl mlkern
oxl mlwn
oxl calcdre4
oxl numacc3

rem Work on the LL model
copy decl\mbmhdu.dec simox.dec
oxl mhflex6
oxl mlkern
oxl mlgas6
oxl calcdre4
oxl numacc3

rem Work on the GLL model
copy decl\mcmhdu.dec simox.dec
oxl mhflex6
oxl mlkern
oxl mlgas6
oxl calcdre4
oxl numacc3

rem Work on the GLL-GARCH model
copy decl\mdmhdu.dec simox.dec
oxl mhflex6
oxl mlkern
oxl mlgas6
oxl calcdre4
oxl numacc3

rem Work on the GLL-SV model; Gibbs sample+predictive density, and
rem marginal likelihood
copy decl\megdu.dec simox.dec
oxl gibsv20
oxl mlgsv3
oxl numacc3

rem Work on the GLL-Student t model; Gibbs sample+predictive density, and
rem marginal likelihood
copy decl\mfgdu.dec simox.dec
oxl gibgas20
oxl mlgas6
oxl numacc3

rem Work on the GLL-GARCH-Student t model; Gibbs sample+predictive density, and
rem marginal likelihood
copy decl\mggdu.dec simox.dec
oxl gibgas20
oxl mlgas6
oxl numacc3

rem (Re)calculate the hedging results, plot and tabulate
oxl hedrat7 

rem Calculate coverage probabilities of predictive densities
oxl foreris2

rem Analyze the posterior density
oxl postana6

echo.|time >> excl\time.txt
type excl\time.txt
